import './idm';
declare type ResponseModes2 = 'query' | 'fragment';
declare type Flows2 = 'standard' | 'implicit' | 'hybrid';
export interface IdmClientConfig {
    url: string;
    realm: string;
    clientId: string;
    credentials: string;
}
export interface InitOptions {
    checkLoginIframe?: boolean;
    checkLoginIframeInterval?: number;
    onLoad?: 'login-required' | 'check-sso' | string;
    adapter?: string;
    responseMode?: ResponseModes2;
    flow?: Flows2;
    token?: string;
    refreshToken?: string;
    idToken?: string;
    timeSkew?: number;
}
export interface IAuthService {
    init(config: IdmClientConfig, options: InitOptions): Promise<void>;
    authenticated(): boolean;
    login(): void;
    logout(): void;
    accountManagement(): void;
    loadUserProfile<T>(): Promise<T>;
    getToken(): Promise<string>;
}
export declare const AuthService: {
    idmAuth: any;
    init(config: IdmClientConfig, options: InitOptions): Promise<void>;
    authenticated(): boolean;
    login(): void;
    logout(): void;
    accountManagement(): void;
    loadUserProfile<T>(): Promise<T>;
    getToken(): Promise<string>;
};
export {};
