import {env} from "@flydiy/vue-core/env";
const PlaceholderService = new class {
  replaceUrl(url) {
    return this.replacePlaceholder(url);
  }
  replacePlaceholder(url) {
    const placeholderMap = env.httpPlaceholder;
    return url.replace(/\{(.*?)\}/g, (match, key) => {
      return placeholderMap[key.trim()] ? placeholderMap[key.trim()] : match;
    });
  }
}();
let http;
const Plugin = {
  install(vue, _http) {
    http = _http;
    vue.config.globalProperties.$http = _http;
  }
};
export default Plugin;
export {PlaceholderService, http};
